POST /volcv/v1
Method: POSTEndpoint: /volcv/v1
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. 
https://www.volcengine.com/docs/6791/1279296For details, see the official integration documentation
Request Parameters
Query Parameters
text
Action
string
Required
Example:
CVProcess
Version
string
Required
Example:
2022-08-31Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
object
Example
// provider-specific note
{
"req_key"
:
"i2i_outpainting"
,
"prompt"
:
"Blue Ocean"
,
"binary_data_base64"
:
[
// provider-specific example normalized for English documentation
]
,
"scale"
:
7
,
"seed"
:
-1
,
"steps"
:
30
,
"strength"
:
0.8
,
"top"
:
0.1
"bottom"
:
0.1
,
"left"
:
1
,
"right"
:
1
,
"max_height"
:
1920
,
"max_width"
:
1920
}
// use canvas
{
"req_key"
:
"i2i_outpainting"
,
"prompt"
:
"Blue Ocean"
,
"binary_data_base64"
:
[
// provider-specific example normalized for English documentation
,
// provider-specific example normalized for English documentation
]
,
"scale"
:
7
,
"seed"
:
-1
,
"steps"
:
30
,
"strength"
:
0.8
"max_height"
:
1920
,
"max_width"
:
1920
,
}Example Request
Shell
bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '// provider-specific note
{
"req_key": "i2i_outpainting",
"prompt": "Blue Ocean",
// provider-specific example normalized for English documentation
"scale": 7,
"seed": -1,
"steps": 30,
"strength": 0.8,
"top": 0.1
"bottom": 0.1,
"left": 1,
"right": 1,
"max_height": 1920,
"max_width": 1920
}
// use canvas
{
"req_key": "i2i_outpainting",
"prompt": "Blue Ocean",
// provider-specific example normalized for English documentation
"scale": 7,
"seed": -1,
"steps": 30,
"strength": 0.8
"max_height": 1920,
"max_width": 1920,
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 10000,
"data": {
"algorithm_base_resp": {
"status_code": 0,
"status_message": "Success"
},
"binary_data_base64": [
// provider-specific example normalized for English documentation
],
"image_urls": [
// provider-specific example normalized for English documentation
],
"request_id": "977202e694283d9e430e6d91d3e0bc6540077ea26de523ba7dfd3856409db693"
},
"message": "Success",
"request_id": "20240314153408C09A6A1651795D028F5A",
"status": 10000,
"time_elapsed": "3.9405467s"
}